%define upstream_name	 URI
%define upstream_version 1.71

%global __requires_exclude perl\\(Business::ISBN\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    URI module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/URI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(MIME::Base64) >= 2.0.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(parent)
BuildRequires: perl(utf8)
BuildRequires: rpm-build >= 4.2-7mdk
BuildArch:  noarch

%description
This Perl module implements the URI class. Objects of this class represent
Uniform Resource Identifier (URI) references as specified in RFC 2396.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/URI.pm
%{perl_vendorlib}/URI
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.710.0-2.mga6
+ Revision: 1035588
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 1.710.0-1.mga6
+ Revision: 924064
- update to 1.71

* Sun Jul 26 2015 sander85 <sander85> 1.690.0-1.mga6
+ Revision: 857844
- update to 1.69

* Sun Jul 05 2015 sander85 <sander85> 1.680.0-1.mga6
+ Revision: 850962
- update to 1.68

* Wed Oct 15 2014 umeabot <umeabot> 1.640.0-3.mga5
+ Revision: 740676
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.640.0-2.mga5
+ Revision: 686764
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Tue Jul 15 2014 sander85 <sander85> 1.640.0-1.mga5
+ Revision: 652977
- update to 1.64

* Mon Jul 07 2014 sander85 <sander85> 1.610.0-1.mga5
+ Revision: 650409
- update to 1.61

* Fri Oct 18 2013 umeabot <umeabot> 1.600.0-3.mga4
+ Revision: 515825
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.600.0-2.mga3
+ Revision: 374546
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.600.0-1.mga3
+ Revision: 255558
- update to 1.60
- update to 1.59

* Wed Feb 16 2011 jquelin <jquelin> 1.580.0-1.mga1
+ Revision: 52216
- update to 1.58
- mageia rebuild
- imported package perl-URI

